Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMCubesWriter Class Reference

`#include <vtkMCubesWriter.h>`

Inheritance diagram for vtkMCubesWriter:

[legend]
Collaboration diagram for vtkMCubesWriter:

[legend]
List of all members.

## Detailed Description

write binary marching cubes file

Date:
  2002/05/31 23:12:41

Revision:
  1.32

vtkMCubesWriter is a polydata writer that writes binary marching cubes files. (Marching cubes is an isosurfacing technique that generates many triangles.) The binary format is supported by W. Lorensen's marching cubes program (and the vtkSliceCubes object). Each triangle is represented by three records, with each record consisting of six single precision floating point numbers representing the a triangle vertex coordinate and vertex normal.

Warning:
  Binary files are written in sun/hp/sgi (i.e., Big Endian) form.

See also:
  vtkMarchingCubes vtkSliceCubes vtkMCubesReader

Created by:
  - Lorensen, Bill

CVS contributions (if > 5%):
  - Lorensen, Bill (59%)
  - Schroeder, Will (16%)
  - Martin, Ken (9%)
  - Cedilnik, Andy (5%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkMCubesWriter.cxx)`
  - .`h` (`/IO/vtkMCubesWriter.h)`

Tests:
  vtkMCubesWriter (Tests)

Definition at line 58 of file vtkMCubesWriter.h.

## Public Types
typedef vtkPolyDataWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetLimitsFileName (const char *)
virtual char * | GetLimitsFileName ()
## Static Public Methods
vtkMCubesWriter * | New ()
int | IsTypeOf (const char *type)
vtkMCubesWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkMCubesWriter ()
| ~vtkMCubesWriter ()
void | WriteData ()
## Protected Attributes
char * | LimitsFileName

## Member Typedef Documentation

typedef vtkPolyDataWriter vtkMCubesWriter::Superclass

| Reimplemented from vtkPolyDataWriter. Definition at line 62 of file vtkMCubesWriter.h.

## Constructor & Destructor Documentation

vtkMCubesWriter::vtkMCubesWriter | ( |  | ) | `[protected]`

vtkMCubesWriter::~vtkMCubesWriter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkMCubesWriter* vtkMCubesWriter::New | ( |  | ) | `[static]`

| Created object with default header, ASCII format, and default names for scalars, vectors, tensors, normals, and texture coordinates. Reimplemented from vtkPolyDataWriter.

virtual const char* vtkMCubesWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataWriter.

int vtkMCubesWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataWriter.

virtual int vtkMCubesWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataWriter.

vtkMCubesWriter* vtkMCubesWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataWriter.

void vtkMCubesWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataWriter.

virtual void vtkMCubesWriter::SetLimitsFileName | ( | const char * |  | ) | `[virtual]`

| Set/get file name of marching cubes limits file.

virtual char* vtkMCubesWriter::GetLimitsFileName | ( |  | ) | `[virtual]`

| Set/get file name of marching cubes limits file.

void vtkMCubesWriter::WriteData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkPolyDataWriter.

## Member Data Documentation

char* vtkMCubesWriter::LimitsFileName`[protected]`

| Definition at line 76 of file vtkMCubesWriter.h.

The documentation for this class was generated from the following file:

- IO/vtkMCubesWriter.h